Rated 5 out of 5 stars

Not Compatible with the latest version of Firefox. 3.5

PLEASE upgrade. this was a great Plugin!

This review is for a previous version of the add-on (1.5.0).